Package org.pentaho.reporting.libraries.formula

## Interface LocalizationContext

- All Known Implementing Classes:
    `DefaultLocalizationContext`

      public interface LocalizationContext

  Creation-Date: 03.11.2006, 14:26:26
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.ResourceBundle` | `getBundle​(java.lang.String id)` |
    `java.util.List` | `getDateFormats​(Type type)` |
    `java.util.Locale` | `getLocale()` |
    `java.util.TimeZone` | `getTimeZone()` |

- - ### Method Detail

    - #### getLocale

          java.util.Locale getLocale()

    - #### getBundle

          java.util.ResourceBundle getBundle​(java.lang.String id)

    - #### getTimeZone

          java.util.TimeZone getTimeZone()

    - #### getDateFormats

          java.util.List getDateFormats​(Type type)